<?php
/*
SMF Gallery Lite Edition
Version 1.7.5
by:vbgamer45
http://www.smfhacks.com
Copyright 2007 SMFHacks.com

############################################
License Information:
SMF Gallery is NOT free software.
This software may not be redistributed.

Links to http://www.smfhacks.com must remain unless
branding free option is purchased.
#############################################
*/
function template_main()
{
	global $db_prefix, $scripturl, $txt, $context, $ID_MEMBER, $modSettings, $boarddir,$boardurl;

	echo '<div class="tborder">';

	// Permissions
	$g_manage = allowedTo('smfgallery_manage');
	$g_add = allowedTo('smfgallery_add');

	
	// Check if GD is installed if not we will not show the thumbnails
	$GD_Installed = function_exists('imagecreate');

	if ($g_manage)
	{
		//C heck if the gallery path is set
		if(empty($modSettings['gallery_path']))
		{
			$modSettings['gallery_path'] = $boarddir . '/gallery/';
		}
		// Warn the user if they are managing the gallery that it is not writable
		if (!is_writable($modSettings['gallery_path']))
			echo '<font color="#FF0000"><b>', $txt['gallery_write_error'], $modSettings['gallery_path'] . '</b></font>';
	}

	// Check if the gallery url has been set if not use the default
	if (empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}


	// Get the Category if present
	@$cat = (int) $_REQUEST['cat'];

	//Check if a category is selected
	if($cat)
	{
		//Permissions if they are allowed to edit or delete their own gallery pictures.
		$g_edit_own = allowedTo('smfgallery_edit');
		$g_delete_own = allowedTo('smfgallery_delete');

		if($g_add && !($context['user']['is_guest']))
			echo '<div align="right"><a href="' . $scripturl . '?action=gallery;sa=myimages;u=' . $ID_MEMBER . '">' . $txt['gallery_text_myimages'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=search">' . $txt['gallery_text_search'] . '</a></div>';


		$maxrowlevel = 4;
		echo '<br /><table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
						<tr class="catbg"><td align="center" colspan="' . $maxrowlevel . '">' . @$context['gallery_cat_name'] . '</td>
						</tr>';



		//Show the pictures
		$dbresult = db_query("SELECT p.ID_PICTURE, p.commenttotal, p.filesize, p.views, p.thumbfilename, p.filename, p.height, p.width, p.title, p.ID_MEMBER, m.memberName, m.realName, p.date, p.description FROM {$db_prefix}gallery_pic as p
		LEFT JOIN {$db_prefix}members AS m on ( p.ID_MEMBER = m.ID_MEMBER) WHERE p.ID_CAT = $cat AND p.approved = 1 ORDER BY ID_PICTURE DESC", __FILE__, __LINE__);
		$rowlevel = 0;
		while($row = mysql_fetch_assoc($dbresult))
		{
			if($rowlevel == 0)
				echo '<tr>';

			echo '<td align="center"><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">
			<img ' . ($GD_Installed == true ?  'src="' . $modSettings['gallery_url'] . $row['thumbfilename'] . '" ' : 'src="' . $modSettings['gallery_url'] . $row['filename'] . '" height="78" width="120" ')  . ' border="0" /></a><br />';
			echo '<span class="smalltext">' . $txt['gallery_text_views'] . $row['views'] . '<br />';
			echo $txt['gallery_text_filesize'] . round($row['filesize'] / 1024, 2) . 'KB<br />';
			echo $txt['gallery_text_date'] . timeformat($row['date']) . '<br />';
			echo $txt['gallery_text_comments'] . ' (<a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">' . $row['commenttotal'] . '</a>)<br />';
			
			if ($row['realName'] != '')
				echo $txt['gallery_text_by'] . ' <a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">'  . $row['realName'] . '</a><br />';
			else 
				echo $txt['gallery_text_by'] . $txt['gallery_guest'] . '<br />';

				
			if ($g_manage)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=unapprove;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_unapprove'] . '</a>';
			if ($g_manage || $g_edit_own && $row['ID_MEMBER'] == $ID_MEMBER)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=edit;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_edit'] . '</a>';
			if ($g_manage || $g_delete_own && $row['ID_MEMBER'] == $ID_MEMBER)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=delete;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_delete'] . '</a>';

			echo '</span></td>';


			if($rowlevel < ($maxrowlevel-1))
				$rowlevel++;
			else
			{
				echo '</tr>';
				$rowlevel = 0;
			}
		}
		if($rowlevel !=0)
		{
			echo '</tr>';
		}

		mysql_free_result($dbresult);

		// Display who is viewing the picture.
		if (!empty($modSettings['gallery_who_viewing']))
		{
			echo '<tr>
			<td align="center" colspan="' . $maxrowlevel . '"><span class="smalltext">';

			// Show just numbers...?
			// show the actual people viewing the gallery?
			echo empty($context['view_members_list']) ? '0 ' . $txt['gallery_who_members'] : implode(', ', $context['view_members_list']) . (empty($context['view_num_hidden']) || @$context['can_moderate_forum'] ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['gallery_who_hidden'] . ')');

			// Now show how many guests are here too.
			echo $txt['who_and'], @$context['view_num_guests'], ' ', @$context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['gallery_who_viewgallery'], '</span></td></tr>';
		}

		// Show return to gallery link and Show add picture if they can
		echo '
				<tr class="titlebg"><td align="center" colspan="' . $maxrowlevel . '">';
				if($g_add)
				echo '<a href="' . $scripturl . '?action=gallery;sa=add;cat=' . $cat . '">' . $txt['gallery_text_addpicture'] .'</a><br />';

				echo '
				<a href="' . $scripturl . '?action=gallery">' . $txt['gallery_text_returngallery'] . '</a></td>
			</tr>';


		echo '</table><br />';

		// Footer padding
		echo '<br /><br />';

	}
	else
	{
		// No Category is set.
		if($g_add && !($context['user']['is_guest']))
			echo '<div align="right"><a href="' . $scripturl . '?action=gallery;sa=myimages;u=' . $ID_MEMBER . '">' . $txt['gallery_text_myimages'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=search">' . $txt['gallery_text_search'] . '</a></div>';

		echo '<h1 align="center">' . $txt['gallery_text_title'] .'</h1>';

		// List all the catagories
		$dbresult = db_query("SELECT ID_CAT, title, roworder, description, image FROM {$db_prefix}gallery_cat ORDER BY roworder ASC", __FILE__, __LINE__);


		//Check which BBCode parser exists parse_bbc for 1.1 or doUBBC for 1.0.x
		$parse_exist = function_exists('parse_bbc');

		echo '<table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
				<tr class="titlebg">
				<td colspan="2">' . $txt['gallery_text_galleryname'] . '</td>
				<td>' . $txt['gallery_text_gallerydescription'] .'</td>
				<td>' . $txt['gallery_text_totalimages'] . '</td>
				';
		if($g_manage)
		echo '
				<td>' . $txt['gallery_text_reorder'] . '</td>
				<td>' . $txt['gallery_text_options'] . '</td>
				</tr>';


		while($row = mysql_fetch_assoc($dbresult))
		{
		  	$dbresult2 = db_query("SELECT title FROM {$db_prefix}gallery_pic WHERE ID_CAT = ". $row['ID_CAT'] . ' AND approved = 1', __FILE__, __LINE__);
			$totalpics = db_affected_rows();
			echo '<tr class="windowbg2">';
			if($parse_exist)
			{
				if($row['image'] == '')
					echo '<td colspan="2"><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '">' . parse_bbc($row['title']) . '</a></td><td>' . parse_bbc($row['description']) . '</td>';
				else
				{
					echo '<td><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '"><img src="' . $row['image'] . '" border="0" /></a></td>';
					echo '<td><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '">' . parse_bbc($row['title']) . '</a></td><td>' . parse_bbc($row['description']) . '</td>';
				}

			}
			else
			{

				if($row['image'] == '')
					echo '<td colspan="2"><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '">' . doUBBC($row['title']) . '</a></td><td>' . doUBBC($row['description']) . '</td>';
				else
				{
					echo '<td><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '"><img src="' . $row['image'] . '" border="0" /></a></td>';
					echo '<td><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '">' . doUBBC($row['title']) . '</a></td><td>' . doUBBC($row['description']) . '</td>';
				}


			}
			// Show total pictures in the category
			echo '<td align="center">' . $totalpics . '</td>';

			// Show Edit Delete and Order category
			if($g_manage)
			{
				echo '<td><a href="' . $scripturl . '?action=gallery;sa=catup;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_up'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=catdown;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_down'] . '</a></td>
				<td><a href="' . $scripturl . '?action=gallery;sa=editcat;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_edit'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=deletecat;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_delete'] . '</a></td>';
			}


			echo '</tr>';
			if($g_manage)
			{
				echo '<tr class="titlebg">
				<td colspan="6">&nbsp;</td>
			</tr>';
			}
			else
				echo '<tr class="titlebg">
				<td colspan="4">&nbsp;</td>
			</tr>';

			mysql_free_result($dbresult2);

		}
		mysql_free_result($dbresult);
		echo '</table><br /><br /><br />';

		// See if they are allowed to add catagories Main Index only
		if($g_manage)
		{
			echo '<table cellspacing="0" cellpadding="5" border="0" align="center" width="90%" class="tborder">
				<tr class="titlebg">
					<td align="center">' . $txt['gallery_text_adminpanel'] . '</td>
				</tr>
				<tr class="windowbg2">
			<td align="center"><a href="' . $scripturl . '?action=gallery;sa=addcat">' . $txt['gallery_text_addcategory'] . '</a>&nbsp
			<a href="' . $scripturl . '?action=gallery;sa=adminset">' . $txt['gallery_text_settings'] . '</a>&nbsp';


			if (allowedTo('manage_permissions'))
				echo '<a href="' . $scripturl . '?action=permissions">' . $txt['gallery_text_permissions'] . '</a>';

			$dbresult3 = db_query("SELECT title FROM {$db_prefix}gallery_pic WHERE approved = 0", __FILE__, __LINE__);
			$totalpics = db_affected_rows();
			mysql_free_result($dbresult3);
			echo '<br />' . $txt['gallery_text_imgwaitapproval'] . '<b>' . $totalpics . '</b>&nbsp;&nbsp;<a href="' . $scripturl . '?action=gallery;sa=approvelist">' . $txt['gallery_text_imgcheckapproval'] . '</a>';
			$dbresult4 = db_query("SELECT ID FROM {$db_prefix}gallery_report", __FILE__, __LINE__);
			$totalreport = db_affected_rows();
			mysql_free_result($dbresult4);
			echo '<br />' . $txt['gallery_text_imgreported'] . '<b>' . $totalreport . '</b>&nbsp;&nbsp;<a href="' . $scripturl . '?action=gallery;sa=reportlist">' . $txt['gallery_text_imgcheckreported'] . '</a>';

			echo '</td></tr></table><br /><br />';
		}
	}


	echo '</div>';

	//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';
}
function template_add_category()
{
	global $scripturl, $txt, $context, $settings;

	echo '<div class="tborder">';

	// Load the spell checker?
	if ($context['show_spellchecking'])
		echo '
									<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/spellcheck.js"></script>';


	echo '
<form method="POST" name="catform" id="catform" action="' . $scripturl . '?action=gallery&sa=addcat2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="129">
  <tr>
    <td width="50%" colspan="2" height="19" align="center" class="catbg">
    <b>' . $txt['gallery_text_addcategory'] . '</b></td>
  </tr>
  <tr>
    <td width="28%" height="22" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_title'] .'</b>&nbsp;</span></td>
    <td width="72%" height="22" class="windowbg2"><input type="text" name="title" size="64" maxlength="100" /></td>
  </tr>
  <tr>
    <td width="28%" height="19" valign="top" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_description'] . '</b>&nbsp;</span></td>
    <td width="72%" height="19" class="windowbg2"><textarea rows="6" name="description" cols="54"></textarea>';

   	if ($context['show_spellchecking'])
   		echo '
   									<br /><input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'catform\', \'description\');" />';
echo '</td>
  </tr>
  <tr>
    <td width="28%" height="22" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_icon'] . '</b>&nbsp;</span></td>
    <td width="72%" height="22" class="windowbg2"><input type="text" name="image" size="64" maxlength="100" /></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
    <input type="submit" value="' . $txt['gallery_text_addcategory'] . '" name="submit" /></td>

  </tr>
</table>
</form>';

	if ($context['show_spellchecking'])
		if(function_exists('parse_bbc'))
			echo '<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';
		else
			echo '<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spell_formname" value="" /><input type="hidden" name="spell_fieldname" value="" /><input type="hidden" name="spellstring" value="" /></form>';

	echo '</div>';
//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<br /><div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>
	</div>';
}
function template_edit_category()
{
	global $db_prefix, $scripturl, $txt, $context, $settings;

	@$cat = (int) $_REQUEST['cat'];

	if($cat == '')
		fatal_error($txt['gallery_error_no_cat']);

	$dbresult = db_query("SELECT ID_CAT, title, image, description FROM {$db_prefix}gallery_cat WHERE ID_CAT = $cat LIMIT 1", __FILE__, __LINE__);
	$row = mysql_fetch_assoc($dbresult);


	echo '<div class="tborder" >';

	// Load the spell checker?
	if ($context['show_spellchecking'])
		echo '
									<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/spellcheck.js"></script>';


	echo '
<form method="POST" name="catform" id="catform" action="' . $scripturl . '?action=gallery&sa=editcat2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="129">
  <tr>
    <td width="50%" colspan="2" height="19" align="center" class="catbg">
    <b>' . $txt['gallery_text_editcategory'] . '</b></td>
  </tr>
  <tr>
    <td width="28%" height="22" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_title'] . '</b>&nbsp;</span></td>
    <td width="72%" height="22" class="windowbg2"><input type="text" name="title" size="64" maxlength="100" value="' . $row['title'] . '" /></td>
  </tr>
  <tr>
    <td width="28%" height="19" valign="top" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_description'] . '</b>&nbsp;</span></td>
    <td width="72%" height="19" class="windowbg2"><textarea rows="6" name="description" cols="54">' . $row['description'] . '</textarea>';

   	if ($context['show_spellchecking'])
   		echo '
   									<br /><input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'catform\', \'description\');" />';
echo '</td>
  </tr>
  <tr>
    <td width="28%" height="22" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_icon'] . '</b>&nbsp;</span></td>
    <td width="72%" height="22" class="windowbg2"><input type="text" name="image" size="64" maxlength="100" value="' . $row['image'] . '" /></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
    <input type="hidden" value="' . $row['ID_CAT'] . '" name="catid" />
    <input type="submit" value="' . $txt['gallery_text_editcategory'] . '" name="submit" /></td>

  </tr>
</table>
</form>';

	if ($context['show_spellchecking'])
		if(function_exists('parse_bbc'))
			echo '<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';
		else
			echo '<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spell_formname" value="" /><input type="hidden" name="spell_fieldname" value="" /><input type="hidden" name="spellstring" value="" /></form>';


	mysql_free_result($dbresult);

	echo '</div>';
//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<br /><div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>
	</div>';
}
function template_delete_category()
{
	global $db_prefix, $scripturl, $txt;

	@$catid = (int) $_REQUEST['cat'];

	if (empty($catid))
		fatal_error($txt['gallery_error_no_cat']);

	echo '<div class="tborder">
<form method="POST" action="' . $scripturl . '?action=gallery&sa=deletecat2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="129">
  <tr>
    <td width="50%" colspan="2" height="19" align="center" class="catbg">
    <b>' . $txt['gallery_text_delcategory'] . '</b></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
    <b>' . $txt['gallery_warn_category'] . '</b>
    <br />
    <input type="hidden" value="' . $catid . '" name="catid" />
    <input type="submit" value="' . $txt['gallery_text_delcategory'] . '" name="submit" /></td>
  </tr>
</table>
</form>
</div>';

// Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<br /><div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>
	</div>';
}
function template_add_picture()
{
	global $scripturl, $modSettings, $db_prefix, $txt, $context, $settings;


	//Get the category
	@$cat = (int) $_REQUEST['cat'];

	echo '<div class="tborder">';

	// Load the spell checker?
	if ($context['show_spellchecking'])
		echo '
									<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/spellcheck.js"></script>';


	echo '<form method="POST" enctype="multipart/form-data" name="picform" id="picform" action="' . $scripturl . '?action=gallery&sa=add2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="129">
  <tr class="catbg">
    <td width="50%" colspan="2" height="19" align="center">
    <b>' . $txt['gallery_form_addpicture'] . '</b></td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_title'] . '</b>&nbsp;</td>
  	<td><input type="text" name="title" /></td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_category'] . '</b>&nbsp;</td>
  	<td><select name="cat">';

 	$dbresult = db_query("SELECT ID_CAT, title FROM {$db_prefix}gallery_cat ORDER BY roworder ASC", __FILE__, __LINE__);

 	while($row = mysql_fetch_assoc($dbresult))
	{

		echo '<option value="' . $row['ID_CAT']  . '" ' . (($cat == $row['ID_CAT']) ? ' selected="selected"' : '') .'>' . $row['title'] . '</option>';

	}


 echo '</select>
  	</td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_description'] . '</b>&nbsp;</td>
  	<td><textarea name="description" rows="6" cols="55"></textarea>';

     	if ($context['show_spellchecking'])
     		echo '
     									<br /><input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'picform\', \'description\');" />';



echo '
  	</td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_keywords'] . '</b>&nbsp;</td>
  	<td><input type="text" name="keywords" maxlength="100" />
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_uploadpic'] . '</b>&nbsp;</td>

    <td><input type="file" size="48" name="picture" />';

  if(!empty($modSettings['gallery_max_width']))
 	echo '<br />' . $txt['gallery_form_maxwidth'] .  $modSettings['gallery_max_width'] . $txt['gallery_form_pixels'];
  if(!empty($modSettings['gallery_max_height']))
  	echo '<br />' . $txt['gallery_form_maxheight'] .  $modSettings['gallery_max_height'] . $txt['gallery_form_pixels'];

 echo '
    </td>
  </tr>';

  if(!empty($modSettings['gallery_commentchoice']))
  {
	echo '
	   <tr class="windowbg2">
		<td align="right"><b>' . $txt['gallery_form_additionaloptions'] . '</b>&nbsp;</td>
		<td><input type="checkbox" name="allowcomments" checked="checked" /><b>' . $txt['gallery_form_allowcomments'] .'</b>
	  </tr>';
  }

echo '
  <tr class="windowbg2">
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">

    <input type="submit" value="' . $txt['gallery_form_addpicture'] . '" name="submit" /><br />';

  	if(!allowedTo('smfgallery_autoapprove'))
  		echo $txt['gallery_form_notapproved'];

echo '
    </td>
  </tr>
</table>

		</form>
</div>';

	if ($context['show_spellchecking'])
		if(function_exists('parse_bbc'))
			echo '<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';
		else
			echo '<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spell_formname" value="" /><input type="hidden" name="spell_fieldname" value="" /><input type="hidden" name="spellstring" value="" /></form>';


}
function template_edit_picture()
{
	global $scripturl, $modSettings, $db_prefix, $txt, $context, $settings, $boardurl;


	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}

	echo '<div class="tborder">';

	// Load the spell checker?
	if ($context['show_spellchecking'])
		echo '
									<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/spellcheck.js"></script>';


	echo '<form method="POST" enctype="multipart/form-data" name="picform" id="picform" action="' . $scripturl . '?action=gallery&sa=edit2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="129">
  <tr class="catbg">
    <td width="50%" colspan="2" height="19" align="center">
    <b>' . $txt['gallery_form_editpicture'] . '</b></td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_title'] . '</b>&nbsp;</td>
  	<td><input type="text" name="title" value="' . $context['gallery_pic']['title'] . '" /></td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_category'] . '</b>&nbsp;</td>
  	<td><select name="cat">';

 	$dbresult = db_query("SELECT ID_CAT, title FROM {$db_prefix}gallery_cat ORDER BY roworder ASC", __FILE__, __LINE__);

 	while($row = mysql_fetch_assoc($dbresult))
	{
		echo '<option value="' . $row['ID_CAT']  . '" ' . (($context['gallery_pic']['ID_CAT'] == $row['ID_CAT']) ? ' selected="selected"' : '') .'>' . $row['title'] . '</option>';
	}
	mysql_free_result($dbresult);

 echo '</select>
  	</td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_description'] . '</b>&nbsp;</td>
  	<td><textarea name="description" rows="6" cols="55">' . $context['gallery_pic']['description'] . '</textarea>';

     	if ($context['show_spellchecking'])
     		echo '
     									<br /><input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'picform\', \'description\');" />';



echo '
  	</td>
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_keywords'] . '</b>&nbsp;</td>
  	<td><input type="text" name="keywords" maxlength="100" value="' . $context['gallery_pic']['keywords'] . '" />
  </tr>
  <tr class="windowbg2">
  	<td align="right"><b>' . $txt['gallery_form_uploadpic'] . '</b>&nbsp;</td>

    <td><input type="file" size="48" name="picture" />';

  if(!empty($modSettings['gallery_max_width']))
 	echo '<br />' . $txt['gallery_form_maxwidth'] .  $modSettings['gallery_max_width'] . $txt['gallery_form_pixels'];
  if(!empty($modSettings['gallery_max_height']))
  	echo '<br />' . $txt['gallery_form_maxheight'] .  $modSettings['gallery_max_height'] . $txt['gallery_form_pixels'];

 echo '
    </td>
  </tr>';

  if ($modSettings['gallery_commentchoice'])
  {
	echo '
	   <tr class="windowbg2">
		<td align="right"><b>' . $txt['gallery_form_additionaloptions'] . '</b>&nbsp;</td>
		<td><input type="checkbox" name="allowcomments" ' . ($context['gallery_pic']['allowcomments'] ? 'checked="checked"' : '' ) . ' /><b>',$txt['gallery_form_allowcomments'],'</b>
	  </tr>';
  }

echo '
  <tr class="windowbg2">
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
	<input type="hidden" name="id" value="' . $context['gallery_pic']['ID_PICTURE'] . '" />
    <input type="submit" value="' . $txt['gallery_form_editpicture'] . '" name="submit" /><br />';

  	if(!allowedTo('smfgallery_autoapprove'))
  		echo $txt['gallery_form_notapproved'];

echo '<div align="center"><br /><b>' . $txt['gallery_text_oldpicture'] . '</b><br />
<a href="' . $scripturl . '?action=gallery;sa=view;id=' . $context['gallery_pic']['ID_PICTURE'] . '" target="blank"><img src="' . $modSettings['gallery_url'] . $context['gallery_pic']['thumbfilename']  . '" border="0" /></a><br />
			<span class="smalltext">' . $txt['gallery_text_views']  . $context['gallery_pic']['views'] . '<br />
			' . $txt['gallery_text_filesize']  . $context['gallery_pic']['filesize'] . 'kb<br />
			' . $txt['gallery_text_date'] . $context['gallery_pic']['date'] . '<br />
	</div>
    </td>
  </tr>
</table>

		</form>
</div>';

	if ($context['show_spellchecking'])
		if(function_exists('parse_bbc'))
			echo '<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';
		else
			echo '<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spell_formname" value="" /><input type="hidden" name="spell_fieldname" value="" /><input type="hidden" name="spellstring" value="" /></form>';


}
function template_view_picture()
{
	global $scripturl, $context, $txt, $db_prefix, $ID_MEMBER, $modSettings, $boardurl, $memberContext, $themeUser;

	// Load permissions
	$g_manage = allowedTo('smfgallery_manage');
	$g_edit_own = allowedTo('smfgallery_edit');
	$g_delete_own = allowedTo('smfgallery_delete');
	$g_add = allowedTo('smfgallery_add');


	if (empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}

	// Keywords
	$keywords = explode(' ',$context['gallery_pic']['keywords']);
 	$keywordscount = count($keywords);
 	// Check which version of the parser exists
 	$bbc_check = function_exists('parse_bbc');

	echo '<div class="tborder">';

			if ($g_add && !($context['user']['is_guest']))
				echo '<div align="right"><a href="' . $scripturl . '?action=gallery;sa=myimages;u=' . $ID_MEMBER . '">' . $txt['gallery_text_myimages'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=search">' . $txt['gallery_text_search'] . '</a></div>';

	echo '<br /><table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
			<tr class="catbg">
				<td align="center">' . $context['gallery_pic']['title'] . '</td>
			</tr>
			<tr class="windowbg2">
				<td align="center"><img height="' . $context['gallery_pic']['height']  . '" width="' . $context['gallery_pic']['width']  . '" src="' . $modSettings['gallery_url'] . $context['gallery_pic']['filename']  . '" /></td>
			</tr>
			<tr class="windowbg2">

				<td>
				<b>' . $txt['gallery_form_description'] . ' </b>' . ($bbc_check ? parse_bbc($context['gallery_pic']['description']) : doUBBC($context['gallery_pic']['description']) ). '
				<hr />
				' . $txt['gallery_text_picstats'] . '<br />

				' . $txt['gallery_text_views'] . $context['gallery_pic']['views'] . '<br />
				' . $txt['gallery_text_filesize']  . $context['gallery_pic']['filesize'] . 'kb<br />
				'  . $txt['gallery_text_height'] . ' ' . $context['gallery_pic']['height']  . '  ' . $txt['gallery_text_width'] . ' ' . $context['gallery_pic']['width'] . '<br />
				' .  $txt['gallery_form_keywords'] . ' ';

				for($i = 0; $i < $keywordscount;$i++)
				{
					echo '<a href="' . $scripturl . '?action=gallery;sa=search2;key=' . $keywords[$i] . '">' . $keywords[$i] . '</a>&nbsp;';

				}
				echo '<br />';
				

				if ($context['gallery_pic']['realName'] != '')
					echo$txt['gallery_text_postedby'] . '<a href="' . $scripturl . '?action=profile;u=' . $context['gallery_pic']['ID_MEMBER'] . '">'  . $context['gallery_pic']['realName'] . '</a>' . $txt['gallery_at'] . $context['gallery_pic']['date'] . '<br /><br />';
				else 
					echo $txt['gallery_text_postedby'] . $txt['gallery_guest']  . $txt['gallery_at'] . $context['gallery_pic']['date'] . '<br /><br />';
				
				
				
				// Show image linking codes
				
				if ($modSettings['gallery_set_showcode_bbc_image']  || $modSettings['gallery_set_showcode_directlink'] || $modSettings['gallery_set_showcode_htmllink'])
				{
					echo '<b>',$txt['gallery_txt_image_linking'],'</b><br />
					<table border="0">
					';
					
					if ($modSettings['gallery_set_showcode_bbc_image'])
					{
						echo '<tr><td width="30%">', $txt['gallery_txt_bbcimage'], '</td><td> <input type="text" value="[img]' . $modSettings['gallery_url'] . $context['gallery_pic']['filename']  . '[/img]" size="50"></td></tr>';
					}
					if ($modSettings['gallery_set_showcode_directlink'])
					{
						echo '<tr><td width="30%">', $txt['gallery_txt_directlink'], '</td><td> <input type="text" value="' . $modSettings['gallery_url'] . $context['gallery_pic']['filename']  . '" size="50"></td></tr>';
					}
					if ($modSettings['gallery_set_showcode_htmllink'])
					{
						echo '<tr><td width="30%">', $txt['gallery_set_showcode_htmllink'], '</td><td> <input type="text" value="<img src=&#34;' . $modSettings['gallery_url'] . $context['gallery_pic']['filename']  . '&#34; />" size="50"></td></tr>';
					}
					
					echo '</table>';
					
				}		

				//Show edit picture links if allowed

				if($g_manage)
					echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=unapprove;id=' . $context['gallery_pic']['ID_PICTURE'] . '">' . $txt['gallery_text_unapprove'] . '</a>';
				if($g_manage || $g_edit_own && $context['gallery_pic']['ID_MEMBER'] == $ID_MEMBER)
					echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=edit;id=' . $context['gallery_pic']['ID_PICTURE']. '">' . $txt['gallery_text_edit'] . '</a>';
				if($g_manage || $g_delete_own && $context['gallery_pic']['ID_MEMBER'] == $ID_MEMBER)
					echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=delete;id=' . $context['gallery_pic']['ID_PICTURE'] . '">' . $txt['gallery_text_delete'] . '</a>';


				// Show report picture link
				if (allowedTo('smfgallery_report'))
				{
					echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=report;id=' . $context['gallery_pic']['ID_PICTURE'] . '">' . $txt['gallery_text_reportpicture'] . '</a>';
				}

				echo '
				</td>
			</tr>';

		// Display who is viewing the picture.
		if (!empty($modSettings['gallery_who_viewing']))
		{
			echo '<tr>
			<td align="center" class="windowbg2"><span class="smalltext">';

			// Show just numbers...?
			// show the actual people viewing the topic?
			echo empty($context['view_members_list']) ? '0 ' . $txt['gallery_who_members'] : implode(', ', $context['view_members_list']) . (empty($context['view_num_hidden']) || $context['can_moderate_forum'] ? '' : ' (+ ' . $context['view_num_hidden'] . ' ' . $txt['gallery_who_hidden'] . ')');

			// Now show how many guests are here too.
			echo $txt['who_and'], @$context['view_num_guests'], ' ', @$context['view_num_guests'] == 1 ? $txt['guest'] : $txt['guests'], $txt['gallery_who_viewpicture'], '</span></td></tr>';
		}

echo '
		</table><br />';
	//Check if allowed to display comments for this picture
	if ($context['gallery_pic']['allowcomments'])
	{
		//Show comments
		echo '<table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
				<tr class="catbg">
					<td align="center" colspan="2">' . $txt['gallery_text_comments'] . '</td>
				</tr>';

		if (allowedTo('smfgallery_comment'))
		{
			//Show Add Comment
			echo '
				<tr class="titlebg"><td colspan="2">
				<a href="' . $scripturl . '?action=gallery;sa=comment;id=' . $context['gallery_pic']['ID_PICTURE'] . '">' . $txt['gallery_text_addcomment']  . '</a></td>
				</tr>';
		}

		// Display all user comments
		$dbresult = db_query("SELECT c.ID_PICTURE,  c.ID_COMMENT, c.date, c.comment, c.ID_MEMBER, m.posts, m.memberName,m.realName FROM {$db_prefix}gallery_comment as c, {$db_prefix}members AS m WHERE   c.ID_PICTURE = " . $context['gallery_pic']['ID_PICTURE'] . " AND c.ID_MEMBER = m.ID_MEMBER ORDER BY c.ID_COMMENT DESC", __FILE__, __LINE__);
		$comment_count = db_affected_rows();

		while($row = mysql_fetch_assoc($dbresult))
		{
			echo '<tr>';
			// Display member info
			echo '<td width="10%" valign="top">
			<a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">'  . $row['realName'] . '</a><br />
			<span class="smalltext">Posts: ' . $row['posts'] . '</span><br />';
			// Display the users avatar
            $memCommID = $row['ID_MEMBER'];
            loadMemberData($memCommID);
			loadMemberContext($memCommID);

			if($bbc_check)
				echo $memberContext[$memCommID]['avatar']['image'];
			else
				echo $themeUser[$memCommID]['avatar']['image'];
			echo '
			</td>';
			// Display the comment
			echo '<td width="90%"><span class="smalltext">' . timeformat($row['date']) . '</span><hr />';

			echo  ($bbc_check ? parse_bbc($row['comment']) : doUBBC($row['comment']));

			// Check if the user is allowed to delete the comment.
			if($g_manage)
				echo '<br /><a href="' . $scripturl . '?action=gallery;sa=delcomment;id=' . $row['ID_COMMENT'] . '">' . $txt['gallery_text_delcomment'] .'</a>';


			echo '</td>';
			echo '</tr>';
		}
		mysql_free_result($dbresult);


		// Show Add Comment link again if there are more than one comment
		if( allowedTo('smfgallery_comment') && $comment_count != 0)
		{
		 // Show Add Comment
			echo '
				<tr class="titlebg"><td colspan="2">
				<a href="' . $scripturl . '?action=gallery;sa=comment;id=' . $context['gallery_pic']['ID_PICTURE'] . '">' . $txt['gallery_text_addcomment'] . '</a></td>
				</tr>';
		}

		echo '</table><br />';
	}

	// Link back to the gallery index
	echo '<div align="center"><a href="', $scripturl, '?action=gallery">' . $txt['gallery_text_returngallery'] . '</a></div><br />';
	echo '</div>';

//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
echo '
<div align="center"><!--Link must remain or contact me to pay to remove.--><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a><!--End Copyright link--></div>';

}

function template_delete_picture()
{
	global $scripturl, $modSettings, $txt, $context, $settings, $boardurl;


	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}

	echo '<div class="tborder">
	<form method="POST" action="' . $scripturl . '?action=gallery&sa=delete2">
<table border="0" cellpadding="0" cellspacing="0" width="100%" height="129">
  <tr class="catbg">
    <td width="50%" colspan="2" height="19" align="center">
    <b>' . $txt['gallery_form_delpicture'] . '</b></td>
  </tr>
  <tr class="windowbg2">
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
	' . $txt['gallery_warn_deletepicture'] . '
	<br />
<div align="center"><br /><b>' . $txt['gallery_form_delpicture'] . '</b><br />
<a href="' . $scripturl . '?action=gallery;sa=view;id=' . $context['gallery_pic']['ID_PICTURE'] . '" target="blank"><img src="' . $modSettings['gallery_url'] . $context['gallery_pic']['thumbfilename']  . '" border="0" /></a><br />
			<span class="smalltext">Views: ' . $context['gallery_pic']['views'] . '<br />
			' . $txt['gallery_text_filesize']  . $context['gallery_pic']['filesize'] . 'kb<br />
			' . $txt['gallery_text_date'] . $context['gallery_pic']['date'] . '<br />
			' . $txt['gallery_text_comments'] . ' (<a href="' . $scripturl . '?action=gallery;sa=view;id=' .  $context['gallery_pic']['ID_PICTURE'] . '" target="blank">' .  $context['gallery_pic']['commenttotal'] . '</a>)<br />
	</div><br />
	<input type="hidden" name="id" value="' . $context['gallery_pic']['ID_PICTURE'] . '" />
    <input type="submit" value="' . $txt['gallery_form_delpicture'] . '" name="submit" /><br />
    </td>
  </tr>
</table>

		</form>
</div>';

}

function template_add_comment()
{
	global $context, $scripturl, $txt,$settings;

	// Load the spell checker?
	if ($context['show_spellchecking'])
		echo '
									<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/spellcheck.js"></script>';


	echo '<div class="tborder">';
	echo '
<form method="POST" name="cprofile" id="cprofile" action="' . $scripturl . '?action=gallery&sa=comment2">
<table border="0" cellpadding="0" cellspacing="0" bordercolor="#FFFFFF" width="100%" height="129">
  <tr>
    <td width="50%" colspan="2" height="19" align="center" class="catbg">
    <b>' . $txt['gallery_text_addcomment'] . '</b></td>
  </tr>
  <tr>
  <td class="catbg">';
	// Assuming BBC code is enabled then print the buttons and some javascript to handle it.
	if ($context['show_bbc'])
	{
		echo '
			<tr>
				<td align="right" class="windowbg2"></td>
				<td valign="middle" class="windowbg2">
					<script language="JavaScript" type="text/javascript"><!--
						function bbc_highlight(something, mode)
						{
							something.style.backgroundImage = "url(" + smf_images_url + (mode ? "/bbc/bbc_hoverbg.gif)" : "/bbc/bbc_bg.gif)");
						}
					// --></script>';

		// The below array makes it dead easy to add images to this page. Add it to the array and everything else is done for you!
		$context['bbc_tags'] = array();
		$context['bbc_tags'][] = array(
			'bold' => array('code' => 'b', 'before' => '[b]', 'after' => '[/b]', 'description' => $txt[253]),
			'italicize' => array('code' => 'i', 'before' => '[i]', 'after' => '[/i]', 'description' => $txt[254]),
			'underline' => array('code' => 'u', 'before' => '[u]', 'after' => '[/u]', 'description' => $txt[255]),
			'strike' => array('code' => 's', 'before' => '[s]', 'after' => '[/s]', 'description' => $txt[441]),
			array(),
			'glow' => array('code' => 'glow', 'before' => '[glow=red,2,300]', 'after' => '[/glow]', 'description' => $txt[442]),
			'shadow' => array('code' => 'shadow', 'before' => '[shadow=red,left]', 'after' => '[/shadow]', 'description' => $txt[443]),
			'move' => array('code' => 'move', 'before' => '[move]', 'after' => '[/move]', 'description' => $txt[439]),
			array(),
			'pre' => array('code' => 'pre', 'before' => '[pre]', 'after' => '[/pre]', 'description' => $txt[444]),
			'left' => array('code' => 'left', 'before' => '[left]', 'after' => '[/left]', 'description' => $txt[445]),
			'center' => array('code' => 'center', 'before' => '[center]', 'after' => '[/center]', 'description' => $txt[256]),
			'right' => array('code' => 'right', 'before' => '[right]', 'after' => '[/right]', 'description' => $txt[446]),
			array(),
			'hr' => array('code' => 'hr', 'before' => '[hr]', 'description' => $txt[531]),
			array(),
			'size' => array('code' => 'size', 'before' => '[size=10pt]', 'after' => '[/size]', 'description' => $txt[532]),
			'face' => array('code' => 'font', 'before' => '[font=Verdana]', 'after' => '[/font]', 'description' => $txt[533]),
		);
		$context['bbc_tags'][] = array(
			'flash' => array('code' => 'flash', 'before' => '[flash=200,200]', 'after' => '[/flash]', 'description' => $txt[433]),
			'img' => array('code' => 'img', 'before' => '[img]', 'after' => '[/img]', 'description' => $txt[435]),
			'url' => array('code' => 'url', 'before' => '[url]', 'after' => '[/url]', 'description' => $txt[257]),
			'email' => array('code' => 'email', 'before' => '[email]', 'after' => '[/email]', 'description' => $txt[258]),
			'ftp' => array('code' => 'ftp', 'before' => '[ftp]', 'after' => '[/ftp]', 'description' => $txt[434]),
			array(),
			'table' => array('code' => 'table', 'before' => '[table]', 'after' => '[/table]', 'description' => $txt[436]),
			'tr' => array('code' => 'td', 'before' => '[tr]', 'after' => '[/tr]', 'description' => $txt[449]),
			'td' => array('code' => 'td', 'before' => '[td]', 'after' => '[/td]', 'description' => $txt[437]),
			array(),
			'sup' => array('code' => 'sup', 'before' => '[sup]', 'after' => '[/sup]', 'description' => $txt[447]),
			'sub' => array('code' => 'sub', 'before' => '[sub]', 'after' => '[/sub]', 'description' => $txt[448]),
			'tele' => array('code' => 'tt', 'before' => '[tt]', 'after' => '[/tt]', 'description' => $txt[440]),
			array(),
			'code' => array('code' => 'code', 'before' => '[code]', 'after' => '[/code]', 'description' => $txt[259]),
			'quote' => array('code' => 'quote', 'before' => '[quote]', 'after' => '[/quote]', 'description' => $txt[260]),
			array(),
			'list' => array('code' => 'list', 'before' => '[list]\n[li]', 'after' => '[/li]\n[li][/li]\n[/list]', 'description' => $txt[261]),
		);

		// Here loop through the array, printing the images/rows/separators!
		foreach ($context['bbc_tags'][0] as $image => $tag)
		{
			// Is there a "before" part for this bbc button?  If not, it can't be a button!!
			if (isset($tag['before']))
			{
				// Is this tag disabled?
				if (!empty($context['disabled_tags'][$tag['code']]))
					continue;

				// If there's no after, we're just replacing the entire selection in the post box.
				if (!isset($tag['after']))
					echo '<a href="javascript:void(0);" onclick="replaceText(\'', $tag['before'], '\', document.', $context['post_form'], '.', $context['post_box_name'], '); return false;">';
				// On the other hand, if there is one we are surrounding the selection ;).
				else
					echo '<a href="javascript:void(0);" onclick="surroundText(\'', $tag['before'], '\', \'', $tag['after'], '\', document.', $context['post_form'], '.', $context['post_box_name'], '); return false;">';

				// Okay... we have the link.  Now for the image and the closing </a>!
				echo '<img onmouseover="bbc_highlight(this, true);" onmouseout="if (window.bbc_highlight) bbc_highlight(this, false);" src="', $settings['images_url'], '/bbc/', $image, '.gif" align="bottom" width="23" height="22" alt="', $tag['description'], '" title="', $tag['description'], '" border="0" style="background-image: url(', $settings['images_url'], '/bbc/bbc_bg.gif); margin: 1px 2px 1px 1px;" /></a>';
			}
			// I guess it's a divider...
			else
				echo '<img src="', $settings['images_url'], '/bbc/divider.gif" alt="|" style="margin: 0 3px 0 3px;" />';
		}

		// Print a drop down list for all the colors we allow!
		if (!isset($context['disabled_tags']['color']))
			echo ' <select onchange="surroundText(\'[color=\'+this.options[this.selectedIndex].value+\']\', \'[/color]\', document.', $context['post_form'], '.', $context['post_box_name'], '); this.selectedIndex = 0;" style="margin-bottom: 1ex;">
							<option value="" selected="selected">', $txt['change_color'], '</option>
							<option value="Black">', $txt[262], '</option>
							<option value="Red">', $txt[263], '</option>
							<option value="Yellow">', $txt[264], '</option>
							<option value="Pink">', $txt[265], '</option>
							<option value="Green">', $txt[266], '</option>
							<option value="Orange">', $txt[267], '</option>
							<option value="Purple">', $txt[268], '</option>
							<option value="Blue">', $txt[269], '</option>
							<option value="Beige">', $txt[270], '</option>
							<option value="Brown">', $txt[271], '</option>
							<option value="Teal">', $txt[272], '</option>
							<option value="Navy">', $txt[273], '</option>
							<option value="Maroon">', $txt[274], '</option>
							<option value="LimeGreen">', $txt[275], '</option>
						</select>';
		echo '<br />';

		// Print the buttom row of buttons!
		foreach ($context['bbc_tags'][1] as $image => $tag)
		{
			if (isset($tag['before']))
			{
				// Is this tag disabled?
				if (!empty($context['disabled_tags'][$tag['code']]))
					continue;

				// If there's no after, we're just replacing the entire selection in the post box.
				if (!isset($tag['after']))
					echo '<a href="javascript:void(0);" onclick="replaceText(\'', $tag['before'], '\', document.', $context['post_form'], '.', $context['post_box_name'], '); return false;">';
				// On the other hand, if there is one we are surrounding the selection ;).
				else
					echo '<a href="javascript:void(0);" onclick="surroundText(\'', $tag['before'], '\', \'', $tag['after'], '\', document.', $context['post_form'], '.', $context['post_box_name'], '); return false;">';

				// Okay... we have the link.  Now for the image and the closing </a>!
				echo '<img onmouseover="bbc_highlight(this, true);" onmouseout="if (window.bbc_highlight) bbc_highlight(this, false);" src="', $settings['images_url'], '/bbc/', $image, '.gif" align="bottom" width="23" height="22" alt="', $tag['description'], '" title="', $tag['description'], '" border="0" style="background-image: url(', $settings['images_url'], '/bbc/bbc_bg.gif); margin: 1px 2px 1px 1px;" /></a>';
			}
			// I guess it's a divider...
			else
				echo '<img src="', $settings['images_url'], '/bbc/divider.gif" alt="|" style="margin: 0 3px 0 3px;" />';
		}

		echo '
				</td>
			</tr>';
	}
	// Now start printing all of the smileys.
	if (!empty($context['smileys']['postform']))
	{
		echo '
			<tr>
				<td align="right" class="windowbg2"></td>
				<td valign="middle" class="windowbg2">';

		// Show each row of smileys ;).
		foreach ($context['smileys']['postform'] as $smiley_row)
		{
			foreach ($smiley_row['smileys'] as $smiley)
				echo '
					<a href="javascript:void(0);" onclick="replaceText(\' ', $smiley['code'], '\', document.', $context['post_form'], '.', $context['post_box_name'], '); return false;"><img src="', $settings['smileys_url'], '/', $smiley['filename'], '" align="bottom" alt="', $smiley['description'], '" title="', $smiley['description'], '" border="0" /></a>';

			// If this isn't the last row, show a break.
			if (empty($smiley_row['last']))
				echo '<br />';
		}

		// If the smileys popup is to be shown... show it!
		if (!empty($context['smileys']['popup']))
			echo '
					<a href="javascript:moreSmileys();">[', $txt['more_smileys'], ']</a>';

		echo '
				</td>
			</tr>';
	}

	// If there are additional smileys then ensure we provide the javascript for them.
	if (!empty($context['smileys']['popup']))
	{
		echo '
			<script language="JavaScript" type="text/javascript"><!--
				var smileys = [';

		foreach ($context['smileys']['popup'] as $smiley_row)
		{
			echo '
					[';
			foreach ($smiley_row['smileys'] as $smiley)
			{
				echo '
						["', $smiley['code'], '","', $smiley['filename'], '","', $smiley['js_description'], '"]';
				if (empty($smiley['last']))
					echo ',';
			}

			echo ']';
			if (empty($smiley_row['last']))
				echo ',';
		}

		echo '];
				var smileyPopupWindow;

				function moreSmileys()
				{
					var row, i;

					if (smileyPopupWindow)
						smileyPopupWindow.close();

					smileyPopupWindow = window.open("", "add_smileys", "toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,width=480,height=220,resizable=yes");
					smileyPopupWindow.document.write(\'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html>\');
					smileyPopupWindow.document.write(\'\n\t<head>\n\t\t<title>', $txt['more_smileys_title'], '</title>\n\t\t<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css" />\n\t</head>\');
					smileyPopupWindow.document.write(\'\n\t<body style="margin: 1ex;">\n\t\t<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder">\n\t\t\t<tr class="titlebg"><td align="left">', $txt['more_smileys_pick'], '</td></tr>\n\t\t\t<tr class="windowbg"><td align="left">\');

					for (row = 0; row < smileys.length; row++)
					{
						for (i = 0; i < smileys[row].length; i++)
						{
							smileys[row][i][2] = smileys[row][i][2].replace(/"/g, \'&quot;\');
							smileyPopupWindow.document.write(\'<a href="javascript:void(0);" onclick="window.opener.replaceText(&quot; \' + smileys[row][i][0] + \'&quot;, window.opener.document.', $context['post_form'], '.', $context['post_box_name'], '); window.focus(); return false;"><img src="', $settings['smileys_url'], '/\' + smileys[row][i][1] + \'" alt="\' + smileys[row][i][2] + \'" title="\' + smileys[row][i][2] + \'" style="padding: 4px;" border="0" /></a>\');
						}
						smileyPopupWindow.document.write("<br />");
					}

					smileyPopupWindow.document.write(\'</td></tr>\n\t\t\t<tr><td align="center" class="windowbg"><a href="javascript:window.close();\\">', $txt['more_smileys_close_window'], '</a></td></tr>\n\t\t</table>\n\t</body>\n</html>\');
					smileyPopupWindow.document.close();
				}
			// --></script>';
	}

echo '</td></tr>
  <tr>
    <td width="28%" height="19" valign="top" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_comment'] . '</b>&nbsp;</span></td>
    <td width="72%" height="19" class="windowbg2"><textarea rows="6" name="comment" cols="54"></textarea></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
    <input type="hidden" name="id" value="' . $context['gallery_pic_id'] . '" />';
   	if ($context['show_spellchecking'])
   		echo '
   									<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'cprofile\', \'comment\');" />';

echo '
    <input type="submit" value="' . $txt['gallery_text_addcomment'] . '" name="submit" /></td>

  </tr>
</table>
</form>';


	if ($context['show_spellchecking'])
		if(function_exists('parse_bbc'))
			echo '<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';
		else
			echo '<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spell_formname" value="" /><input type="hidden" name="spell_fieldname" value="" /><input type="hidden" name="spellstring" value="" /></form>';


	echo '</div>';
	//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
echo '
<div align="center"><!--Link must remain or contact me to pay to remove.--><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a><!--End Copyright link--></div>';

}

function template_report_picture()
{
	global $scripturl, $context, $txt;

	echo '<div class="tborder">
<form method="POST" name="cprofile" id="cprofile" action="' . $scripturl . '?action=gallery;sa=report2">
<table border="0" cellpadding="0" cellspacing="0" bordercolor="#FFFFFF" width="100%" height="129">
  <tr>
    <td width="50%" colspan="2" height="19" align="center" class="catbg">
    <b>' . $txt['gallery_form_reportpicture'] . '</b></td>
  </tr>
  <tr>
    <td width="28%" height="19" valign="top" class="windowbg2" align="right"><span class="gen"><b>' . $txt['gallery_form_comment'] . '</b>&nbsp;</span></td>
    <td width="72%" height="19" class="windowbg2"><textarea rows="6" name="comment" cols="54"></textarea></td>
  </tr>
  <tr>
    <td width="28%" colspan="2" height="26" align="center" class="windowbg2">
    <input type="hidden" name="id" value="' . $context['gallery_pic_id'] . '" />
    <input type="submit" value="' . $txt['gallery_form_reportpicture'] . '" name="submit" /></td>

  </tr>
</table>
</form></div>';
//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
echo '
<div align="center"><!--Link must remain or contact me to pay to remove.--><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a><!--End Copyright link--></div>';

}
function template_manage_cats()
{
	global $scripturl, $db_prefix, $txt;

echo '
	<table border="0" width="80%" cellspacing="0" align="center" cellpadding="4" class="tborder">
		<tr class="titlebg">
			<td>' . $txt['gallery_form_managecats'] . '</td>
		</tr>
		<tr class="windowbg">
			<td>
				<a href="' . $scripturl . '?action=gallery;sa=adminset">' . $txt['gallery_text_settings'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=admincat">' . $txt['gallery_form_managecats'] . '</a>| <a href="' . $scripturl . '?action=gallery;sa=approvelist">' . $txt['gallery_form_approveimages']  . '</a>  | <a href="' . $scripturl . '?action=gallery;sa=reportlist">' . $txt['gallery_form_reportimages'] . '</a>
			</td>
		</tr>
		<tr class="windowbg">
			<td>
			<br />';


		//List all the catagories
		$dbresult = db_query("SELECT ID_CAT, title, roworder, description, image FROM {$db_prefix}gallery_cat ORDER BY roworder ASC", __FILE__, __LINE__);

		echo '<table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
				<tr class="titlebg">
				<td>' . $txt['gallery_text_galleryname'] . '</td>
				<td>' . $txt['gallery_text_gallerydescription'] . '</td>
				<td>' . $txt['gallery_text_totalimages'] . '</td>
				<td>' . $txt['gallery_text_reorder'] . '</td>
				<td>' . $txt['gallery_text_options'] . '</td>
				</tr>';

		while($row = mysql_fetch_assoc($dbresult))
		{
		  	$dbresult2 = db_query("SELECT title FROM {$db_prefix}gallery_pic WHERE ID_CAT = ". $row['ID_CAT'] . ' AND approved = 1', __FILE__, __LINE__);
			$totalpics = db_affected_rows();
			mysql_free_result($dbresult2);

			echo '<tr class="windowbg2">';
			if(function_exists('parse_bbc'))
			{
				echo '<td><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '">' . parse_bbc($row['title']) . '</a></td><td>' . nl2br(parse_bbc($row['description'])) . '</td>';

			}
			else
			{
				echo '<td><a href="' . $scripturl . '?action=gallery;cat=' . $row['ID_CAT'] . '">' . doUBBC($row['title']) . '</a></td><td>' . nl2br(doUBBC($row['description'])) . '</td>';

			}
			echo '<td align="center">' . $totalpics . '</td>';

			//Show Edit Delete and Order category
			echo '<td><a href="' . $scripturl . '?action=gallery;sa=catup;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_up'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=catdown;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_down'] . '</a></td><td><a href="' . $scripturl . '?action=gallery;sa=editcat;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_edit'] .'</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=deletecat;cat=' . $row['ID_CAT'] . '">' . $txt['gallery_text_delete'] .'</a></td>';

			//Give the gallery some spacing
			echo '</tr>
			<tr class="titlebg">
				<td colspan="5">&nbsp;</td>
			</tr>';


		}
		mysql_free_result($dbresult);

	echo '
			<tr class="windowbg2">
				<td colspan="5" align="center"><a href="' . $scripturl . '?action=gallery;sa=addcat">' . $txt['gallery_text_addcategory'] . '</a></td>
			</tr>
	</table><br />
			</td>
		</tr>
	<tr class="windowbg"><td><b>Has SMF Gallery helped you?</b> Then support the developers:<br />
    <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
	<input type="hidden" name="cmd" value="_xclick">
	<input type="hidden" name="business" value="sales@visualbasiczone.com">
	<input type="hidden" name="item_name" value="SMF Gallery">
	<input type="hidden" name="no_shipping" value="1">
	<input type="hidden" name="no_note" value="1">
	<input type="hidden" name="currency_code" value="USD">
	<input type="hidden" name="tax" value="0">
	<input type="hidden" name="bn" value="PP-DonationsBF">
	<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-butcc-donate.gif" border="0" name="submit" alt="Make payments with PayPal - it is fast, free and secure!">
	<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1" />
</form>
<br />You can also upgrade to the SMF Gallery Pro edition at <a href="http://www.smfhacks.com/smf-gallery-pro.php" target="blank">http://www.smfhacks.com/smf-gallery-pro.php</a>
</td>
</tr>
</table>';
	//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}
function template_settings()
{
	global $scripturl,$modSettings,$boarddir, $boardurl, $txt;

	if(empty($modSettings['gallery_path']))
	{
		$modSettings['gallery_path'] = $boarddir . '/gallery/';
	}
	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}
echo '

	<table border="0" width="80%" cellspacing="0" align="center" cellpadding="4" class="tborder">
		<tr class="titlebg">
			<td>' . $txt['gallery_text_settings'] . '</td>
		</tr>
		<tr class="windowbg">
			<td>
				<a href="' . $scripturl . '?action=gallery;sa=adminset">' . $txt['gallery_text_settings'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=admincat">' . $txt['gallery_form_managecats'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=approvelist">' . $txt['gallery_form_approveimages'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=reportlist">' . $txt['gallery_form_reportimages'] . '</a>
			</td>
		</tr>
		<tr class="windowbg">
			<td>
			<b>' . $txt['gallery_text_settings'] . '</b> - <span class="smalltext">' . $txt['gallery_set_description'] . '</span><br />
			<form method="POST" action="' . $scripturl . '?action=gallery;sa=adminset2">
			    ' . $txt['gallery_set_maxheight'] . '<input type="text" name="gallery_max_height" value="' .  $modSettings['gallery_max_height'] . '" /><br />
				' . $txt['gallery_set_maxwidth'] . '<input type="text" name="gallery_max_width" value="' .  $modSettings['gallery_max_width'] . '" /><br />
				' . $txt['gallery_set_filesize'] . '<input type="text" name="gallery_max_filesize" value="' .  $modSettings['gallery_max_filesize'] . '" /> (bytes)<br />
				' . $txt['gallery_set_path'] . '<input type="text" name="gallery_path" value="' .  $modSettings['gallery_path'] . '" size="50" /><br />
				' . $txt['gallery_set_url'] . '<input type="text" name="gallery_url" value="' .  $modSettings['gallery_url'] . '" size="50" /><br />
				<input type="checkbox" name="gallery_who_viewing" ' . ($modSettings['gallery_who_viewing'] ? ' checked="checked" ' : '') . ' />' . $txt['gallery_set_whoonline'] . '<br />
				';

				if (!is_writable($modSettings['gallery_path']))
					echo '<font color="#FF0000"><b>' . $txt['gallery_write_error']  . $modSettings['gallery_path'] . '</b></font>';

				echo '
				<input type="checkbox" name="gallery_commentchoice" ' . (!empty($modSettings['gallery_commentchoice']) ? ' checked="checked" ' : '') . ' /> ' . $txt['gallery_set_commentschoice'] . '<br />
				<br />' . $txt['gallery_shop_settings'] . '<br />
				' . $txt['gallery_shop_picadd'] . '<input type="text" name="gallery_shop_picadd" value="' .  $modSettings['gallery_shop_picadd'] . '" /><br />
				' . $txt['gallery_shop_commentadd'] . '<input type="text" name="gallery_shop_commentadd" value="' .  $modSettings['gallery_shop_commentadd'] . '" /><br />
				
				<br /><b>' . $txt['gallery_txt_image_linking'] . '</b><br />
				<input type="checkbox" name="gallery_set_showcode_bbc_image" ' . ($modSettings['gallery_set_showcode_bbc_image'] ? ' checked="checked" ' : '') . ' />' . $txt['gallery_set_showcode_bbc_image'] . '<br />
				<input type="checkbox" name="gallery_set_showcode_directlink" ' . ($modSettings['gallery_set_showcode_directlink'] ? ' checked="checked" ' : '') . ' />' . $txt['gallery_set_showcode_directlink'] . '<br />
				<input type="checkbox" name="gallery_set_showcode_htmllink" ' . ($modSettings['gallery_set_showcode_htmllink'] ? ' checked="checked" ' : '') . ' />' . $txt['gallery_set_showcode_htmllink'] . '<br />
				
				<br />
				
				<input type="submit" name="savesettings" value="',$txt['gallery_save_settings'],'" />
			</form>
			<br />
			<b>' . $txt['gallery_text_permissions'] . '</b><br/><span class="smalltext">' . $txt['gallery_set_permissionnotice'] . '</span>
			<br /><a href="' . $scripturl . '?action=permissions">' . $txt['gallery_set_editpermissions']  . '</a>

			</td>
		</tr>
<tr class="windowbg"><td><b>Has SMF Gallery helped you?</b> Then support the developers:<br />
    <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
	<input type="hidden" name="cmd" value="_xclick">
	<input type="hidden" name="business" value="sales@visualbasiczone.com">
	<input type="hidden" name="item_name" value="SMF Gallery">
	<input type="hidden" name="no_shipping" value="1">
	<input type="hidden" name="no_note" value="1">
	<input type="hidden" name="currency_code" value="USD">
	<input type="hidden" name="tax" value="0">
	<input type="hidden" name="bn" value="PP-DonationsBF">
	<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-butcc-donate.gif" border="0" name="submit" alt="Make payments with PayPal - it is fast, free and secure!" />
	<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
<br />You can also upgrade to the SMF Gallery Pro edition at <a href="http://www.smfhacks.com/smf-gallery-pro.php" target="blank">http://www.smfhacks.com/smf-gallery-pro.php</a>
</td>
</tr>
</table>';
	//Keep the copyright links please helps support develop of Mods for SMF
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}
function template_approvelist()
{
	global $scripturl, $db_prefix,$boardurl,$modSettings, $txt;

	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}

	// Check if GD is installed if not we will not show the thumbnails
	$GD_Installed = function_exists('imagecreate');	

echo '

	<table border="0" width="80%" cellspacing="0" align="center" cellpadding="4" class="tborder">
		<tr class="titlebg">
			<td>' . $txt['gallery_form_approveimages'] . '</td>
		</tr>
		<tr class="windowbg">
			<td>
				<a href="' . $scripturl . '?action=gallery;sa=adminset">' . $txt['gallery_text_settings']  . '</a> | <a href="' . $scripturl . '?action=gallery;sa=admincat">' . $txt['gallery_form_managecats'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=approvelist">' . $txt['gallery_form_approveimages'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=reportlist">' . $txt['gallery_form_reportimages'] . '</a>
			</td>
		</tr>
		<tr class="windowbg">
			<td>
			<table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
				<tr class="catbg">
				<td>' . $txt['gallery_app_image'] . '</td>
				<td>' . $txt['gallery_app_title'] . '</td>
				<td>' . $txt['gallery_app_description'] . '</td>
				<td>' . $txt['gallery_app_date'] . '</td>
				<td>' . $txt['gallery_app_membername'] . '</td>
				<td>' . $txt['gallery_text_options'] . '</td>
				</tr>';

			//List all the unapproved pictures
		  	$dbresult = db_query("SELECT p.ID_PICTURE, p.thumbfilename, p.title, p.ID_MEMBER, m.memberName, m.realName, p.date, p.description, p.filename, p.height, p.width FROM {$db_prefix}gallery_pic as p
		  	LEFT JOIN {$db_prefix}members AS m  on  (p.ID_MEMBER = m.ID_MEMBER) WHERE p.approved = 0 ORDER BY p.ID_PICTURE DESC", __FILE__, __LINE__);
			while($row = mysql_fetch_assoc($dbresult))
			{

				echo '<tr class="windowbg2">';
				echo '<td><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">
				<img ' . ($GD_Installed == true ?  'src="' . $modSettings['gallery_url'] . $row['thumbfilename'] . '" ' : 'src="' . $modSettings['gallery_url'] . $row['filename'] . '" height="78" width="120" ')  . ' border="0" /></a></td>';
				echo '<td>' . $row['title'] . '</td>';
				echo '<td>' . $row['description'] . '</td>';
				echo '<td>' . timeformat($row['date']) . '</td>';
				if ($row['realName'] != '')
					echo '<td><a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">'  . $row['realName'] . '</a></td>';
				else 
						echo '<td>' . $txt['gallery_guest'] . '</td>';
						
				echo '<td><a href="' . $scripturl . '?action=gallery;sa=approve;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_approve']  . '</a><br /><a href="' . $scripturl . '?action=gallery;sa=edit;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_edit'] . '</a><br /><a href="' . $scripturl . '?action=gallery;sa=delete;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_delete'] . '</a></td>';
				echo '</tr>';

			}
			mysql_free_result($dbresult);

echo '
			</table>
			</td>
		</tr>
<tr class="windowbg"><td><b>Has SMF Gallery helped you?</b> <br />
    <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
	<input type="hidden" name="cmd" value="_xclick">
	<input type="hidden" name="business" value="sales@visualbasiczone.com">
	<input type="hidden" name="item_name" value="SMF Gallery">
	<input type="hidden" name="no_shipping" value="1">
	<input type="hidden" name="no_note" value="1">
	<input type="hidden" name="currency_code" value="USD">
	<input type="hidden" name="tax" value="0">
	<input type="hidden" name="bn" value="PP-DonationsBF">
	<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-butcc-donate.gif" border="0" name="submit" alt="Make payments with PayPal - it is fast, free and secure!">
	<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1" />
</form>
<br />You can also upgrade to the SMF Gallery Pro edition at <a href="http://www.smfhacks.com/smf-gallery-pro.php" target="blank">http://www.smfhacks.com/smf-gallery-pro.php</a>
</td>
</tr>
</table>';
//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}
function template_reportlist()
{
	global $scripturl, $db_prefix, $txt;
echo '

	<table border="0" width="80%" cellspacing="0" align="center" cellpadding="4" class="tborder">
		<tr class="titlebg">
			<td>' . $txt['gallery_form_reportimages'] . '</td>
		</tr>
		<tr class="windowbg">
			<td>
				<a href="' . $scripturl . '?action=gallery;sa=adminset">' . $txt['gallery_text_settings'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=admincat">' . $txt['gallery_form_managecats'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=approvelist">' . $txt['gallery_form_approveimages'] . '</a> | <a href="' . $scripturl . '?action=gallery;sa=reportlist">' . $txt['gallery_form_reportimages'] . '</a>
			</td>
		</tr>
		<tr class="windowbg">
			<td>
			<table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
				<tr class="catbg">
				<td>' . $txt['gallery_rep_piclink'] . '</td>
				<td>' . $txt['gallery_rep_comment']  . '</td>
				<td>' . $txt['gallery_app_date'] . '</td>
				<td>' . $txt['gallery_rep_reportby'] . '</td>
				<td>' . $txt['gallery_text_options'] . '</td>
				</tr>';

			//List all reported pictures
		  	$dbresult = db_query("SELECT r.ID, r.ID_PICTURE,  r.ID_MEMBER, m.memberName, m.realName, r.date,r.comment FROM {$db_prefix}gallery_report as r
		  	LEFT JOIN {$db_prefix}members AS m on (r.ID_MEMBER = m.ID_MEMBER) ORDER BY r.ID_PICTURE DESC", __FILE__, __LINE__);
			while($row = mysql_fetch_assoc($dbresult))
			{

				echo '<tr class="windowbg2">';
				echo '<td><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_rep_viewpic'] .'</a></td>';
				echo '<td>' . $row['comment'] . '</td>';
				echo '<td>' . timeformat($row['date']) . '</td>';
				if ($row['realName'] != '')
					echo '<td><a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">'  . $row['realName'] . '</a></td>';
				else 
					echo '<td>' .  $txt['gallery_guest'] . '</td>';
				
				echo '<td><a href="' . $scripturl . '?action=gallery;sa=delete;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_rep_deletepic']  . '</a>';
				echo '<br /><a href="' . $scripturl . '?action=gallery;sa=deletereport;id=' . $row['ID'] . '">' . $txt['gallery_rep_delete'] . '</a></td>';
				echo '</tr>';

			}
			mysql_free_result($dbresult);

echo '
			</table>
			</td>
		</tr>
<tr class="windowbg"><td><b>Has SMF Gallery helped you?</b> Then support the developers:<br />
    <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
	<input type="hidden" name="cmd" value="_xclick" />
	<input type="hidden" name="business" value="sales@visualbasiczone.com" />
	<input type="hidden" name="item_name" value="SMF Gallery" />
	<input type="hidden" name="no_shipping" value="1" />
	<input type="hidden" name="no_note" value="1" />
	<input type="hidden" name="currency_code" value="USD" />
	<input type="hidden" name="tax" value="0" />
	<input type="hidden" name="bn" value="PP-DonationsBF" />
	<input type="image" src="https://www.paypal.com/en_US/i/btn/x-click-butcc-donate.gif" border="0" name="submit" alt="Make payments with PayPal - it is fast, free and secure!" />
	<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1" />
</form>
<br />You can also upgrade to the SMF Gallery Pro edition at <a href="http://www.smfhacks.com/smf-gallery-pro.php" target="blank">http://www.smfhacks.com/smf-gallery-pro.php</a>
</td>
</tr>
</table>';
//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}



function template_search()
{
	global $scripturl, $txt;

	echo '<div class="tborder">
<form method="POST" action="' . $scripturl . '?action=gallery;sa=search2">
<table border="0" cellpadding="0" cellspacing="0" bordercolor="#FFFFFF" width="50%" height="129" class="tborder" align="center">
  <tr>
    <td width="100%" colspan="2" height="19" align="center" class="catbg">
    <b>' .$txt['gallery_search_pic'] . '</b></td>
  </tr>
  <tr class="windowbg2">
    <td width="50%" height="19"  align="right"><b>' . $txt['gallery_search_for'] . '</b>&nbsp;</td>
    <td width="50%" height="19"><input type="text" name="searchfor" />
    </td>
  </tr>
  <tr class="windowbg2" align="center">
  	<td colspan="2"><input type="checkbox" name="searchtitle" checked="checked" />' . $txt['gallery_search_title'] . '&nbsp;<input type="checkbox" name="searchdescription" checked="checked" />' . $txt['gallery_search_description'] . '<br />
  	<input type="checkbox" name="searchkeywords" />' . $txt['gallery_search_keyword'] . '</td>
  </tr>
  <tr>
    <td width="100%" colspan="2" height="26" align="center" class="windowbg2">
    <input type="submit" value="' . $txt['gallery_search'] . '" name="submit" /></td>

  </tr>
</table>
</form>';
//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}
function template_search_results()
{
	global $context, $ID_MEMBER, $db_prefix, $modSettings, $boardurl, $scripturl, $txt;

	//Get the permissions for the user
	$g_add = allowedTo('smfgallery_add');
	$g_manage = allowedTo('smfgallery_manage');
	$g_edit_own = allowedTo('smfgallery_edit');
	$g_delete_own = allowedTo('smfgallery_delete');



	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}

	// Check if GD is installed if not we will not show the thumbnails
	$GD_Installed = function_exists('imagecreate');

	echo '<div class="tborder">';
	if($g_add && !($context['user']['is_guest']))
			echo '<div align="right"><a href="' . $scripturl . '?action=gallery;sa=myimages;u=' . $ID_MEMBER . '">' . $txt['gallery_text_myimages'] . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=search">' . $txt['gallery_text_search'] . '</a></div>';


	$maxrowlevel = 4;
	echo '<br /><table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
						<tr class="catbg"><td align="center" colspan="' . $maxrowlevel . '">' . $txt['gallery_searchresults'] . '</td>
						</tr>';

	$rowlevel = 0;
	//$picCount2 = 0;
	//$pads = '';
    $dbresult = db_query("SELECT p.ID_PICTURE, p.commenttotal, p.keywords, p.filesize, p.thumbfilename, p.approved, p.views, p.ID_MEMBER, m.realName, p.date, p.width, p.height, p.filename FROM {$db_prefix}gallery_pic as p
    LEFT JOIN {$db_prefix}members AS m ON (p.ID_MEMBER = m.ID_MEMBER) WHERE p.approved = 1 AND (" . $context['gallery_search_query'] . ")", __FILE__, __LINE__);
	while($row = mysql_fetch_assoc($dbresult))
	{
			if($rowlevel == 0)
				echo '<tr>';

			echo '<td align="center"><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">
			<img ' . ($GD_Installed == true ?  'src="' . $modSettings['gallery_url'] . $row['thumbfilename'] . '" ' : 'src="' . $modSettings['gallery_url'] . $row['filename'] . '" height="78" width="120" ')  . ' border="0" /></a><br />';
			echo '<span class="smalltext">' . $txt['gallery_text_views'] . $row['views'] . '<br />';
			echo $txt['gallery_text_filesize'] . round($row['filesize'] / 1024, 2) . 'kb<br />';
			echo $txt['gallery_text_date'] . timeformat($row['date']) . '<br />';
			echo $txt['gallery_text_comments'] . ' (<a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">' . $row['commenttotal'] . '</a>)<br />';
			if ($row['realName'] != '')
				echo $txt['gallery_text_by'] . ' <a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">'  . $row['realName'] . '</a><br />';
			else 
				echo $txt['gallery_text_by'] . $txt['gallery_guest'] . '<br />';
			if($g_manage)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=unapprove;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_unapprove'] . '</a>';
			if($g_manage || $g_edit_own && $row['ID_MEMBER'] == $ID_MEMBER)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=edit;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_edit'] . '</a>';
			if($g_manage || $g_delete_own && $row['ID_MEMBER'] == $ID_MEMBER)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=delete;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_delete'] . '</a>';

			echo '</span></td>';


			if($rowlevel < ($maxrowlevel-1))
				$rowlevel++;
			else
			{
				echo '</tr>';
				$rowlevel = 0;
			}
	}
		if($rowlevel !=0)
		{
			echo '</tr>';
		}
		mysql_free_result($dbresult);

		//Show return to gallery link and Show add picture if they can
		echo '
				<tr class="titlebg"><td align="center" colspan="' . $maxrowlevel . '">';
				if($g_add)
				echo '<a href="' . $scripturl . '?action=gallery;sa=add">' . $txt['gallery_text_addpicture'] . '</a><br />';

				echo '
				<a href="' . $scripturl . '?action=gallery">' . $txt['gallery_text_returngallery'] . '</a></td>
			</tr>';

		echo '</table><br /><br /><br /></div>';

//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}

function template_myimages()
{
	global $context, $ID_MEMBER, $db_prefix, $modSettings, $boardurl, $scripturl, $txt;

	//Get the permissions for the user
	$g_add = allowedTo('smfgallery_add');
	$g_manage = allowedTo('smfgallery_manage');
	$g_edit_own = allowedTo('smfgallery_edit');
	$g_delete_own = allowedTo('smfgallery_delete');


	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}

	// Check if GD is installed if not we will not show the thumbnails
	$GD_Installed = function_exists('imagecreate');

	echo '<div class="tborder">';
	if($g_add && !($context['user']['is_guest']))
			echo '<div align="right"><a href="' . $scripturl . '?action=gallery;sa=myimages;u=' . $ID_MEMBER . '">' . $txt['gallery_text_myimages']  . '</a>&nbsp;<a href="' . $scripturl . '?action=gallery;sa=search">' . $txt['gallery_text_search'] . '</a></div>';


	$maxrowlevel = 4;
	echo '<br /><table cellspacing="0" cellpadding="10" border="0" align="center" width="90%" class="tborder">
						<tr class="catbg"><td align="center" colspan="' . $maxrowlevel . '">' . $context['gallery_usergallery_name'] . '</td>
						</tr>';

	$rowlevel = 0;
	$userid = $context['gallery_userid'];
	//Check if it is the user ids gallery mainly to show unapproved pictures or not
	if($ID_MEMBER == $userid)
    	$dbresult = db_query("SELECT p.ID_PICTURE, p.commenttotal, p.filesize, p.thumbfilename, p.approved, p.views, p.ID_MEMBER, m.realName, p.date, p.filename, p.height, p.width  FROM {$db_prefix}gallery_pic as p, {$db_prefix}members AS m WHERE p.ID_MEMBER = $userid AND p.ID_MEMBER = m.ID_MEMBER", __FILE__, __LINE__);
	else
    	$dbresult = db_query("SELECT p.ID_PICTURE, p.commenttotal, p.filesize, p.thumbfilename, p.approved, p.views, p.ID_MEMBER, m.realName, p.date, p.filename, p.height, p.width  FROM {$db_prefix}gallery_pic as p, {$db_prefix}members AS m WHERE p.ID_MEMBER = $userid AND p.ID_MEMBER = m.ID_MEMBER AND p.approved = 1", __FILE__, __LINE__);


	while($row = mysql_fetch_assoc($dbresult))
	{
			if($rowlevel == 0)
				echo '<tr>';

			echo '<td align="center"><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">
			<img ' . ($GD_Installed == true ?  'src="' . $modSettings['gallery_url'] . $row['thumbfilename'] . '" ' : 'src="' . $modSettings['gallery_url'] . $row['filename'] . '" height="78" width="120" ')  . ' border="0" /></a><br />';
			if($ID_MEMBER == $userid)
			{
				if($row['approved'] == 1)
					echo '<b>' . $txt['gallery_myimages_app'] . '</b><br />';
				else
					echo '<b>' . $txt['gallery_myimages_notapp'] . '</b><br />';
			}

			echo '<span class="smalltext">' . $txt['gallery_text_views'] . $row['views'] . '<br />';
			echo $txt['gallery_text_filesize'] . round($row['filesize'] / 1024, 2) . 'kb<br />';
			echo $txt['gallery_text_date'] . timeformat($row['date']) . '<br />';
			echo $txt['gallery_text_comments'] . ' (<a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '">' . $row['commenttotal'] . '</a>)<br />';
			echo $txt['gallery_text_by'] . ' <a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">'  . $row['realName'] . '</a><br />';
			if($g_manage)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=unapprove;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_unapprove'] . '</a>';
			if($g_manage || $g_edit_own && $row['ID_MEMBER'] == $ID_MEMBER)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=edit;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_edit'] . '</a>';
			if($g_manage || $g_delete_own && $row['ID_MEMBER'] == $ID_MEMBER)
				echo '&nbsp;<a href="' . $scripturl . '?action=gallery;sa=delete;id=' . $row['ID_PICTURE'] . '">' . $txt['gallery_text_delete'] . '</a>';

			echo '</span></td>';


			if($rowlevel < ($maxrowlevel-1))
				$rowlevel++;
			else
			{
				echo '</tr>';
				$rowlevel = 0;
			}
	}
		if($rowlevel !=0)
		{
			echo '</tr>';
		}
		mysql_free_result($dbresult);

		//Show return to gallery link and Show add picture if they can
		echo '
				<tr class="titlebg"><td align="center" colspan="' . $maxrowlevel . '">';
				if($g_add)
				echo '<a href="' . $scripturl . '?action=gallery;sa=add">' . $txt['gallery_text_addpicture'] . '</a><br />';

				echo '
				<a href="' . $scripturl . '?action=gallery">' . $txt['gallery_text_returngallery'] . '</a></td>
			</tr>';


		echo '</table><br /><br /><br /></div>';

//Copyright link must remain. To remove you need to purchase link removal at smfhacks.com
	echo '<div align="center"><a href="http://www.smfhacks.com/smf-gallery.php" target="blank">SMF Gallery</a></div>';

}
?>